gnutls_dh_set_prime_bits(3)

NAME
gnutls_dh_set_prime_bits - Used to set the bits for a DH ciphersuite

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_dh_set_prime_bits(gnutls_session_t session, unsigned int bits);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

unsigned int bits
    is the number of bits

DESCRIPTION
This function sets the number of bits, for use in an Diffie Hellman key exchange. This is used both in DH ephemeral and DH anonymous cipher suites. This will set the minimum size of the prime that will be used for the handshake. In the client side it sets the minimum accepted number of bits. If a server sends a prime with less bits than that GNUTLS_E_DH_PRIME_UNACCEPTABLE will be returned by the handshake.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2006, 2007 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.